Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163244 - missing buildrequires bzip2-libs
Summary: missing buildrequires bzip2-libs
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ethereal
Version: rawhide
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Radek Vokal
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-14 13:44 UTC by Karsten Hopp
Modified: 2018-10-19 19:56 UTC (History)
0 users

Fixed In Version: 0.10.11-5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-15 12:18:07 UTC


Attachments (Terms of Use)

Description Karsten Hopp 2005-07-14 13:44:19 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-DE; rv:1.7.8) Gecko/20050623 Fedora/1.0.4-5 Firefox/1.0.4

Description of problem:
found during rebuild in minimal chroot (mock):
creating .libs/tetherealS.c
(cd .libs && gcc -c -fno-builtin "tetherealS.c")
rm -f .libs/tetherealS.c .libs/tethereal.nm .libs/tethereal.nmS .libs/tethereal.nmT
gcc -DINET6 "-D_U_=__attribute__((unused))" -Wall -W -O2 -g -pipe -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -m32 -march=i386 -mtune=pentium4 -fasynchronous-unwind-tables -DXTHREADS -D_REENTRANT -DXUSE_MTSAFE_API -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/X11R6/include -I/usr/include/atk-1.0 -I/usr/include/freetype2 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/freetype2/config -I/usr/include/libpng12 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -DINET6 -O2 -g -pipe -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -m32 -march=i386 -mtune=pentium4 -fasynchronous-unwind-tables -Dlinux -I/usr/include/rpm -I. -I/usr/include/net-snmp -o .libs/tethereal pcap-util-unix.o capture_stop_conditions.o capture_ui_utils.o cfile.o clopts_common.o conditions.o disabled_protos.o packet-range.o pcap-util.o print.o ps.o ringbuffer.o timestats.o util.o version_info.o tap-ansi_astat.o tap-bootpstat.o tap-dcerpcstat.o tap-gsm_astat.o tap-h225counter.o tap-h225rassrt.o tap-httpstat.o tap-iostat.o tap-iousers.o tap-mgcpstat.o tap-protocolinfo.o tap-protohierstat.o tap-rpcstat.o tap-rpcprogs.o tap-sctpchunkstat.o tap-sipstat.o tap-smbsids.o tap-smbstat.o tap-stats_tree.o tap-wspstat.o capture_opts.o tethereal-tap-register.o tethereal.o .libs/tetherealS.o -Wl,--export-dynamic -Wl,--export-dynamic  -pthread -L/usr/local/lib wiretap/.libs/libwiretap.so epan/.libs/libethereal.so -L/usr/lib /usr/lib/libnetsnmp.so /usr/lib/librpm.so /usr/lib/librpmdb.so -L/usr/kerberos/lib /usr/lib/libsqlite3.so -lselinux /usr/lib/librpmio.so /usr/lib/libbeecrypt.so /usr/lib/libneon.so -lssl -lgssapi_krb5 /usr/lib/libexpat.so -lrt -lpthread /usr/lib/libpopt.so -lbz2 -lelf -L/usr/lib/lib -lwrap -lcrypto -lgmodule-2.0 -ldl -lglib-2.0 -lm -lpcap -lkrb5 -lk5crypto -lkrb5support -lcom_err -lresolv -lz
/usr/bin/ld: cannot find -lbz2
collect2: ld returned 1 exit status
make[2]: *** [tethereal] Error 1
make[2]: Leaving directory `/builddir/build/BUILD/ethereal-0.10.11'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/builddir/build/BUILD/ethereal-0.10.11'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.5738 (%build)

Version-Release number of selected component (if applicable):
ethereal-0.10.11-3

How reproducible:
Always

Steps to Reproduce:
1.install mock
2.run mock -r fedora-development-i386-core.cfg ethereal-0.10.11-3.src.rpm
3.check output
  

Additional info:

Comment 1 Radek Vokal 2005-07-15 12:18:07 UTC
Fixed


Note You need to log in before you can comment on or make changes to this bug.